Name:          libgdbm4
Version:       1.13
Release:       2mamba
Summary:       A set of database routines that use extensible hashing
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/gdbm/
Source:        http://ftp.gnu.org/gnu/gdbm/gdbm-%{version}.tar.gz
Patch:         libgdbm-1.8.3-Makefile.patch
License:       LGPL
Requires(post):%{__install_info}
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GNU dbm is a set of database routines that use extensible hashing. It works similar to the standard UNIX dbm routines.

%package devel
Summary:       Devel package for libgdbm
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GNU dbm is a set of database routines that use extensible hashing. It works similar to the standard UNIX dbm routines.
This package contains static libraries and header files need for development.

%package tools
Group:         Applications/Databases
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%prep
%setup -q -n gdbm-%{version}
#%patch -p1
# Fix permissions
chmod 644 ChangeLog COPYING NEWS README

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall INSTALL_ROOT=%{buildroot}

%find_lang gdbm

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post devel
%install_info gdbm.info

%preun devel
%uninstall_info gdbm.info
exit 0

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libgdbm.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/gdbm.h
%{_libdir}/libgdbm.a
%{_libdir}/libgdbm.la
%{_libdir}/libgdbm.so
%{_infodir}/gdbm.*
%{_mandir}/man3/*
%doc ChangeLog NEWS README

%files tools -f gdbm.lang
%defattr(-,root,root)
%{_bindir}/gdbm_dump
%{_bindir}/gdbm_load
%{_bindir}/gdbmtool
%{_mandir}/man1/gdbm_dump.1*
%{_mandir}/man1/gdbm_load.1*
%{_mandir}/man1/gdbmtool.1*

%changelog
* Mon Aug 27 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13-2mamba
- legacy package

* Tue Apr 04 2017 Automatic Build System <autodist@mambasoft.it> 1.13-1mamba
- automatic version update by autodist

* Wed Jun 22 2016 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic version update by autodist

* Sun Dec 29 2013 Automatic Build System <autodist@mambasoft.it> 1.11-1mamba
- automatic update by autodist

* Sun Apr 15 2012 Automatic Build System <autodist@mambasoft.it> 1.10-1mamba
- automatic version update by autodist

* Sat Oct 25 2008 Aleph0 <aleph0@openmamba.org> 1.8.3-5mamba
- fix permissions of documentation files

* Tue Jul 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.3-4mamba
- specfile updated

* Wed Nov 16 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.8.3-3qilnx
- install/uninstall info pages
- man and info pages moved to the devel package

* Wed Mar 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.8.3-2qilnx
- specfile updates and fixes
- patched Makefile to permit package creation by non-root packagers
- added `make install-compat'

* Wed Nov 05 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.3-1qilnx
- first build
